View Issue Details

IDProjectCategoryView StatusLast Update
0032685Open CASCADEOCCT:DRAWpublic2021-11-27 15:05
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version5.2.4 
Target Version7.7.0 
Summary0032685: Draw Harness - help output smashes command names without delimiter
DescriptionWhen command name becomes too long, "help" output prints them without delimiter, see "XAddDimension" as example:
XDE G&DTs commands

  XAddDatum      XAddDatumModifierXAddDimension  XAddDimensionDescr
  XAddDimensionModifiersXAddGeomToleranceXAddTolModifierXDumpDGTs
  XDumpNbDGTs    XGetDatum      XGetDatumModifiersXGetDatumName
Steps To Reproduce
pload XDE
help
TagsNo tags attached.
Test case numberN/A

Activities

git

2021-11-25 00:08

administrator   ~0105409

Branch CR32685 has been created by kgv.

SHA-1: 1caba052d19c87128c38621377e489fbc82e0b1e


Detailed log of new commits:

Author: kgv
Date: Thu Nov 25 00:05:19 2021 +0300

    0032685: Draw Harness - help output smashes command names without delimiter
    
    "help" procedure now ensures to put space between listed commands.

git

2021-11-25 00:12

administrator   ~0105410

Branch CR32685 has been updated forcibly by kgv.

SHA-1: 4c4f936f0403ba9ad8bc17f37e9e6162f6c6044d

kgv

2021-11-25 00:13

developer   ~0105411

Last edited: 2021-11-25 00:16

Patch is ready fore review
- OCCT: branch CR32685.


Example of new output of help:
XDE Notes commands

  XNoteAdd       XNoteAnnotations XNoteCount   XNoteCreateBalloon
  XNoteCreateBinData XNoteCreateComment XNoteDelete XNoteDeleteAll
  XNoteDeleteOrphan XNoteDump   XNoteFindAnnotated XNoteGetNotes
  XNoteIsRefOrphan XNoteNotes   XNoteRefDump   XNoteRemove
  XNoteRemoveAll XNoteTimestamp XNoteUsername


smoskvin

2021-11-27 14:24

administrator   ~0105466

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-27 15:05

administrator   ~0105489

Branch CR32685 has been deleted by mnt.

SHA-1: 4c4f936f0403ba9ad8bc17f37e9e6162f6c6044d

Related Changesets

occt: master 4e69a6ac

2021-11-24 21:05:19

kgv


Committer: smoskvin Details Diff
0032685: Draw Harness - help output smashes command names without delimiter

"help" procedure now ensures to put space between listed commands.
Affected Issues
0032685
mod - src/DrawResources/StandardCommands.tcl Diff File

Issue History

Date Modified Username Field Change
2021-11-23 20:39 kgv New Issue
2021-11-23 20:39 kgv Assigned To => abv
2021-11-23 20:42 kgv Steps to Reproduce Updated
2021-11-23 20:42 kgv Test case number => N/A
2021-11-25 00:08 git Note Added: 0105409
2021-11-25 00:12 git Note Added: 0105410
2021-11-25 00:13 kgv Note Added: 0105411
2021-11-25 00:13 kgv Assigned To abv => aml
2021-11-25 00:13 kgv Status new => resolved
2021-11-25 00:15 kgv Product Version 7.5.0 => 5.2.4
2021-11-25 00:16 kgv Note Edited: 0105411
2021-11-25 17:45 aml Assigned To aml => bugmaster
2021-11-25 17:45 aml Status resolved => reviewed
2021-11-27 14:24 smoskvin Note Added: 0105466
2021-11-27 14:24 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master 4e69a6ac
2021-11-27 14:52 smoskvin Assigned To bugmaster => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-11-27 14:52 smoskvin Resolution open => fixed
2021-11-27 15:05 git Note Added: 0105489